Re: [R] Choice of repository and outdated vs unusable... was (Hunting for snow...)

From: Uwe Ligges <ligges_at_statistik.uni-dortmund.de>
Date: Mon 10 Jul 2006 - 18:53:09 EST

Brian Lunergan wrote:
> Uwe Ligges wrote:

>>>> Where did you find them? At least not in their current versions on 
>>>> the official repository on CRAN master for R-2.3.x, I hope.
>>>
>>> FracSim_0.2.zip
>>> http://cran.stat.ucla.edu/bin/windows/contrib/2.3/
>>>
>>> RDCOMClient_0.91-0.zip
>>> http://www.omegahat.org/R/bin/windows/contrib/R-2.3.0/
>>>
>>> segmented_0.1-4.zip
>>> http://cran.r-project.org/bin/windows/contrib/2.1/
>>>
>>> VGAM_0.6-9.zip
>>> http://www.stat.auckland.ac.nz/~yee/bin/windows/contrib/2.3/
>>
>> None of them is on CRAN master:
>>
>> - RDCOMClient is on Omegahat
>> - segmented is CRAN but outdated for R-2.1.x
>> - VGAM is in a private repository
>> - FracSim: I cannot access
>> http://cran.stat.ucla.edu/bin/windows/contrib/2.3/
>> right now, but I guess it does not sync properly. At least, the 
>> package should not be there.
>>
>> Uwe Ligges

>
> Uwe:
>
> So VGAM and RDCOMClient are on private repository sites. Is that so
> important? If a package is not on the CRAN master site are you supposed
> to avoid using it?

Brian,

no, but in the mail before you tols us that the packages are not on the check list, and I gave the reason why ...

> The FracSim home site indicated that 0.2 was the current version and a
> google search yielded the site I indicated, among others, as a
> repository of an apparent windows edition. That it's not on the master
> is more an issue between the maintainers of the master and the
> maintainers of the package, not the average end user IMHO. I found a

The reason is that it does not pass the checks, and that is only an issue of the maintainer of the package, not the CRAN maintainer. That you found the package is the issue of the maintainer of a CRAN mirror that is out of sync. It is an issue of the average end user to install a package from source if he does not get a binary.

> source for what is apparently the current edition. What's wrong with that?

Using the source is perfect.

I must have misunderstood that you have compiled from source. But then, be careful and run R CMD check in order to see whether the package works under your platform.

Best,
Uwe Ligges

> With regard to segmented, outdated does not mean unusable unless later
> editions of R or packages that call it as a dependency use features
> particular to later editions. If there is a newer windows edition of
> segmented then please point out a source for it.
>
> Regards...



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Mon Jul 10 19:00:18 2006

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.1.8, at Mon 10 Jul 2006 - 20:15:23 EST.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-help. Please read the posting guide before posting to the list.